Subject: Re: MPC8308 bursting question

From: David Hawkins <[email-masked]>
Date: Fri, 27 May 2011 13:33:43 -0700

Hi Bruce,

>> Read my MPC8349EA UPM setup notes and see if you have used
>> similar settings (I assume the local bus UPMs are similar):
>
> I found you paper interesting.  I didn't have a problem with my UPM
> settings, single beat reads and writes worked just fine, however it did
> tickle my memory and helped me find what was wrong.  Turns out that the
> person who was responsible for the BAx/ORx registers for this chip select
> had set the BI bit a long time ago, before we were contemplating doing
> what we're currently doing.  The code had been reviewed and signed off, so
> in my back brain I was thinking everything there was good.
>
> When I read your paper, it mentioned the BI bit which got me to thinking.
> Sure enough, when I looked it was set.  Soon as I  cleared that bit, my
> burst transactions started working just fine.
>
> Thanks for the help.

You're welcome. I'm glad it helped.

Cheers,
Dave